$(eval $(call mk_bin_rpm,dummy))

dummy_installable: $(dummy)
	$(RPM) -i $<

dummy_noninstallable: $(dummy)
	$(RPM) -i $<
	! $(RPM) -i $< --test


all_tests += dummy_installable dummy_noninstallable


# Always defined! (For re-use in emulating disttags in virtDummy.mk for
# systems where rpmbuild can't produce disttags.)
dummyDisttag_disttag := xxx+777.66

# TODO: put this logic directly into mk_bin_rpm.
ifndef SKIP_RPMBUILD_DISTTAG

$(eval $(call mk_bin_rpm,dummyDisttag,dummy))

dummyDisttag_installable: $(dummyDisttag)
	$(RPM) -i $<

dummyDisttag_noninstallable: $(dummyDisttag)
	$(RPM) -i $<
	! $(RPM) -i $< --test


all_tests += dummyDisttag_installable dummyDisttag_noninstallable

endif
