#!/bin/sh -efuC
set -o pipefail

# Because of relative includes in my Makefile, I have to wrap it in a script
# in order to make it possible run it from another working dir.

# For this to work, the program should be called via a symlink to the
# place where all my scripts are or by its real path.
MY="$(realpath "$0")"
export MY="${MY%/*}"
# -- needed by includes in Makefile.

make -f "$MY"/Makefile "$@"

# It would be also convenient to collect the results of the tests
# from this shell script.
